Bug 38952 - Segmentation fault in pthread_handle_create using gdb
Summary: Segmentation fault in pthread_handle_create using gdb
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-03 14:27 UTC by Matt Domsch
Modified: 2008-05-01 15:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-15 22:18:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testapp1.txt (2.46 KB, text/plain)
2001-05-03 14:28 UTC, Matt Domsch
no flags Details
testapp1.c (1.94 KB, text/plain)
2001-05-03 17:28 UTC, Matt Domsch
no flags Details

Description Matt Domsch 2001-05-03 14:27:40 UTC
Description of Problem:
On IA-64 Wolverine, when you use gdb to debug a program that uses 
pthread_create(), a segmentation fault occurs in pthread_handle_create() 
on the first call to pthread_create().  This make debugging a threaded 
program with gdb impossible.


How Reproducible:
Always

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
	
Attached is the file 'testapp1.txt' (in UNIX format) which shows output 
from gdb.

Comment 1 Matt Domsch 2001-05-03 14:28:12 UTC
Created attachment 17228 [details]
testapp1.txt

Comment 2 Bill Nottingham 2001-05-03 15:12:48 UTC
Can you post the source code?

Comment 3 Matt Domsch 2001-05-03 17:28:04 UTC
Created attachment 17247 [details]
testapp1.c

Comment 4 Bill Nottingham 2001-05-03 18:40:58 UTC
Thanks. In any case I just reproduced it *real* fast with xmms. Of course,
that's segfaulting even when GDB isn't involved....

Comment 5 Jakub Jelinek 2001-05-04 09:25:42 UTC
Bill, have you made any progress on it?
If not, I'll jump into it.

Comment 6 Bill Nottingham 2001-05-07 13:58:21 UTC
It's kernel related. Debugging under 2.4.2-2 works fine, under our 2.4.3 +
current ia64 patch fails. I'll try in a minute with 2.4.3-2.14.19, once it's
finished rebooting.

Comment 7 Bill Nottingham 2001-05-15 22:18:42 UTC
This should be fixed with the RC1 kernel.


Note You need to log in before you can comment on or make changes to this bug.